export default {
    data(){
        return{
            dateRange: [],
            loading: false,
            list: [],
            total: 0,
            queryParams: {
                page: 1,
                limit: 10,
                name: ""
            },
            pickerOptions: {
                shortcuts: [
                    {
                        text: "最近一周",
                        onClick(picker) {
                            const end = new Date();
                            const start = new Date();
                            start.setTime(start.getTime() - 3600 * 1000 * 24 * 7);
                            picker.$emit("pick", [start, end]);
                        },
                    },
                    {
                        text: "最近一个月",
                        onClick(picker) {
                            const end = new Date();
                            const start = new Date();
                            start.setTime(start.getTime() - 3600 * 1000 * 24 * 30);
                            picker.$emit("pick", [start, end]);
                        },
                    },
                    {
                        text: "最近三个月",
                        onClick(picker) {
                            const end = new Date();
                            const start = new Date();
                            start.setTime(start.getTime() - 3600 * 1000 * 24 * 90);
                            picker.$emit("pick", [start, end]);
                        },
                    },
                ],
            },
        }
    },
    created() {
        this.getList();
    },
    methods:{

        handleCurrentChange(val) {
            this.queryParams.page = val;
            this.getList();
        },
        onReset() {
            this.$router.push({
                path: "",
            });
            this.queryParams = {
                page: 1,
                limit: 10,
                name: ""
            };
            this.dateRange = [];
            this.getList();
        },
        onSubmit() {
            this.queryParams.page = 1;
            this.getList();
        },
    }
}
